Jump to content
The simFlight Network Forums

FCUIPC_ERR_VERSION


Recommended Posts

Hello,

 

I've just installed the latest version of FSUIPC to do some tests with prepar3d 2.4 but when i try to connect i get the FXUIPC_ERR_VERSION. I am using the latest version of the .net dll (dotnet 4.0) which i also downloaded. My software was running with no problems until this update.

 

Now both FSX as Prepar do not work with the same error. Can somebody please shine a light on this problem..

 

Thanks, Rob

Link to comment
Share on other sites

Hello Rob,
 
The latest version is FSUIPC4939t supports Prepar3D version 2.5, builds 12942-5

Install complete FSUIPC version 4.939t Install_FSUIPC4.939t for FSX, FSX-SE and Prepar3D versions 1.4 and 2.0-2.5
-- Supports Prepar3D version 2.5, builds 12942-5
-- Supports as yet unreleased FSX-SE build 62613.
-- Supports PMDG 737NGX data mapping from update SP1d
-- Provides offset for current Profile name string
-- Installer copes with more common Registry mix-ups between FSX and FSX-SE.
-- Installer fixed to prevent premature ending with FSX-SE only.
-- Fixed a long-standing problem with some older FS98 style control assignments.
-- Reverted a change to the way inhibited throttle controls are handled
-- Improved handling of Lua plug-in event signalling (fixed in 4.939n)
-- Facility added to use the SimConnect camera control function via FSUIPC offsets
-- OOMcheckInterval parameter can be used to extend interval of memory checking
-- Lua ipc.ask function now allows colur RED or WHITE to be selected.
FSUIPC version 4.939t only for those with FSUIPC 4.939g or later already installed FSUIPC4939t

 

You have the version of Prepar3D v2.4 maybe it's the problem ?!

 

Regards,

 

Fred

Link to comment
Share on other sites

Hello,

 

I've just installed the latest version of FSUIPC to do some tests with prepar3d 2.4 but when i try to connect i get the FXUIPC_ERR_VERSION. I am using the latest version of the .net dll (dotnet 4.0) which i also downloaded. My software was running with no problems until this update.

 

Now both FSX as Prepar do not work with the same error. Can somebody please shine a light on this problem..

 

Thanks, Rob

 

I think FSUIPC4 should work with any version or P3D up to 2.5.

 

I'm running 4.939t here without any problems. You don't say if you're using 2.4 of my DLL or one of the many 3.0 Beta builds that are posted in various threads. You could try using the latest 3.0 build. I've attached it here.

 

If that doesn't work then it sounds like you have something wrong with the FSUIPC installation and it's returning 0 for all offsets (therefore failing the version test because it's reporting version 0). Can you try using another FSUIPC application to see if that works, for example FSInterrogator (available in the FSUIPC SDK), If that works then it's something to do with my dll. If it doesn't work either then something is wrong with your FSUIPC installation or registration.

 

Paul

FSUIPCClient3.0_BETA.zip

Link to comment
Share on other sites

Thanks for the fast replies. The solution was actually very simple. I did not realize when downloadjng a zip file via internet explorer or chrome the content is blocked. You have to first unblock it by selecting the file properties via a ckick on the right mouse button and pushing the unblock button. It does not seem to affect the installation process and it will show up in your simulator but it wont load using the .net assembly.

Anyway thanks again for all the good work and thanks again...

www.mobileaviationtools.com

Regards, Rob

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
 Share

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.